GET/v1/app-connections

List app connections

Lists app connections associated with a project. Filter the results by scope, piece name, display name, or status, and use cursor to navigate the paginated results.

7 parameters
cursorstringoptional
The pagination cursor for the results page to retrieve.
projectIdstringrequired
The identifier of the project whose app connections to list.
scopestringoptional
Filter by connection scope: `PROJECT` or `PLATFORM`.
Allowed:PROJECTPLATFORM
pieceNamestringoptional
Filter by the name of the piece associated with the connection.
displayNamestringoptional
Filter by the app connection's display name.
statusarray<string>required
Filter by one or more connection statuses: `ACTIVE`, `MISSING`, or `ERROR`.
limitnumberoptional
The maximum number of app connections to return.

1 status code
200Returns a `data` array of app connections and pagination cursors in `next` and `previous`.
dataarray<object>required
nextstringoptional
previousstringoptional

Error handling

The projectId and status query parameters are required. Each status value must be ACTIVE, MISSING, or ERROR, and scope, if supplied, must be PROJECT or PLATFORM.